
Core - Task # 52442

Epic # 55575 (Accepted): Streamline JavaScript Code in the TYPO3 Backend

Status: Resolved Priority: Should have
Author: Xavier Perseguers Category:
Created: 2013-10-01 Assigned To: Xavier Perseguers
Updated: 2014-02-02 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: easy
Sprint Focus:
Subject: Centralize jQuery libraries
Description

A few jQuery plugins/libraries are currently duplicated in two system extensions:

- EXT:extensionmanager
- EXT:documentation

They should be centralized and thus be accessible for other extensions as well.

Related issues:
related to Core - Task # 43184: Use central jQuery Resolved 2012-11-21
related to Core - Task # 52844: Add README for jQuery-libraries in central co... Resolved 2013-10-15

Associated revisions
Revision 92e756b4 - 2013-10-15 13:19 - Xavier Perseguers

[TASK] Centralize jQuery libraries

A few jQuery libraries and plugins are used by multiple system extensions
and should be centralized to prevent duplicates and be usable by other
extensions as well.

Resolves: #52442
Releases: 6.2
Change-Id: I4c931b82c348c22fc8da9c4ccee5b1b323bc114b
Reviewed-on: https://review.typo3.org/24233
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind
Reviewed-by: Fabien Udriot
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2013-10-01 20:35 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24233
#2 - 2013-10-15 11:26 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24233

#3 - 2013-10-15 13:30 - Xavier Perseguers
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:92e756b400f15579bd1f73226eee25118a1057a1.

#4 - 2014-02-02 11:14 - Daniel Siepmann
- Parent task set to #55575

2015-08-04 2/2

https://review.typo3.org/24233

